#
# NOTE:
#
# ispell dictionaries are no longer used on mandrakelinux;
# being replaced with aspell.
# ispell is only being kept for people that may have personal
# spell checking dictionnaries using affix compression; as
# currently aspell doesn't support it; once aspell (version 6) will
# be out, ispell will be removed.
#
# the package ispell-en has been removed, as well as the dependnece
# of "ispell-dictionnary" from ispell.
# if you want to revert that, search for "aspell" in this spec file

Summary:	The GNU interactive spelling checker program
Name:		ispell
Version:	3.2.06
Release:	%mkrel 14
Group:		Text tools

URL:		http://ficus-www.cs.ucla.edu/ficus-members/geoff/ispell.html

Source0:	http://fmg-www.cs.ucla.edu/geoff/tars/ispell-%{version}.tar.bz2
Source2:	spell.bz2
Source3:	ispell-3.20-hk2-deutsch.tar.bz2 

Patch0:		ispell-3.1.20-config.patch.bz2
Patch1:		ispell-3.2.06-german.patch.bz2 
Patch3:		ispell-3.1.20-termio.patch.bz2
Patch5:		ispell-3.1.20-strcmp.patch.bz2
Patch6:		ispell-3.1.20-maskbits64_and_british.patch.bz2 
# maybe obsolete
#Patch7:	ispell-3.1.20-fixinfo.patch.bz2
Patch8:		ispell-3.2.06-dont-string.patch.bz2
# maybe obsolete
#Patch10:	ispell-fix-info-file.patch.bz2
# maybe obsolete
Patch11:	ispell-3.20-man-update.patch.bz2
Patch12:	ispell-3.20-sh.patch.bz2
# obsolete
#Patch13:	ispell-3.20-sq-fixes.patch.bz2
# obsolete
#Patch14:	ispell-3.20-sq-fixes2.patch.bz2
Patch15:	ispell-3.20-missing_prototypes.patch.bz2
Patch17:	ispell-3.20-increase-max.patch.bz2
#Patch18:	ispell-3.20-iso-more-html.patch.bz2
Patch19:	ispell-3.20-xb-options.patch.bz2
# patch to add recognition of non-alphanumeric chars between ascii A-z as
# flags; needed by latest norwegian ispell *.aff files -- pablo
Patch20:	ispell-3.2.06.no.patch.bz2
# patch to add sq and unsq programs missing from 3.2.06, but needed
# by some ispell packages -- pablo
Patch21:	ispell-3.2.06-sq.patch.bz2
# add missing includes
Patch22:	ispell-3.2.06-includes.patch.bz2
# use mkdir -p to create directories
Patch23:	ispell-3.2.06-mkdir_p.patch.bz2

License:	GPL
BuildRequires:	byacc ncurses-devel
BuildRoot:	%_tmppath/%name-%version-%release-buildroot
# we don't distribute ispell dictionnaries anymore, as they are
# replaced with aspell ones
#Requires:	ispell-dictionary == 3.2.06

%description
Ispell is the GNU interactive spelling checker.  Ispell will check a text
file for spelling and typographical errors.  When it finds a word that is
not in the dictionary, it will suggest correctly spelled words for the
misspelled word.

You should install ispell if you need a program for spell checking (and who
doesn't...).

Note this package has only the spell checker engine; you also need to
install the dictionary files from the ispell-* package for your language.

%package en
Summary:	English dictionary for ispell
Group:		System/Internationalization
# the binary format changed with ispell 3.2.06
Requires:	ispell >= 3.2.06-2mdk
Requires:	locales-en
BuildRequires:	words >= 2-16mdk
Obsoletes:	iamerica ispell-english ibritish ispell-british ispell-dictionary
Provides:	iamerica ispell-english ibritish ispell-british
Provides:	ispell-dictionary = 3.2.06

%description en
This package has the English dictionary files for ispell.

With it you can check the spelling of English text files or LaTeX files
written in English.

%prep

%setup -q -n ispell-%{version} -a3

%patch0 -p1
%patch1 
%patch3 -p1 -b .termio


%patch5 -p1 -b .strcmp
%patch6 -p1 -b .maskbits

# info pages missing from 3.2.06 sources -- pablo
#
#%patch7 -p1 -b .makeinfo
%patch8 -p1
# info pages missing from 3.2.06 sources -- pablo
#
#%patch10 -p0
%patch12 -p1
%patch15 -p1
%patch17 -p1
#%patch18 -p0 -b .html
%patch19 -p1
%patch20 -p1 -b .NO
%patch21 -p1 -b .SQ
%patch11 -p1
%patch22 -p1 -b .includes
%patch23 -p1 -b .mkdir-p

%build
export LC_ALL='en'
# Make config.sh first
TMPDIR=%_tmppath PATH=.:$PATH make CFLAGS="$RPM_OPT_FLAGS" config.sh
perl -p -i -e "s/-O/$RPM_OPT_FLAGS/" config.sh

# (Dadou) - 3.1.20-12mdk OK, it's ugly but it's late and I have no time to do
# nice things. Do them  if you want. Maintener (Pablo) s***s (sorry)
perl -pi -e "s#/usr/man#/usr/share/man#g" config.sh
perl -pi -e "s#/usr/info#/usr/share/info#g" config.sh
perl -pi -e "s#MASTERHASH='americanmed.hash'#MASTERHASH='americanmed+.hash'#g" config.sh
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" local.h
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" config.X
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" config.sh
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" ispell.1X
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" ispell.el
perl -pi -e "s#/usr/dict/words#/usr/share/dict/words#g" sq.1

# Now save build-rooted version (with time-stamp) for install ...
cp config.sh config.sh.BUILD
sed -e "s,/usr/,$RPM_BUILD_ROOT/usr/,g" < config.sh.BUILD > config.sh.INSTALL

# and then make everything
TMPDIR=%_tmppath PATH=.:$PATH make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_mandir
mkdir -p $RPM_BUILD_ROOT%_libdir/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT%_infodir

# Roll in the build-root'ed version (with time-stamp!)
cp -f config.sh.INSTALL config.sh
TMPDIR=%_tmppath PATH=.:$PATH make install

# fix LIBDIR in munchlist
perl -pi -e "s#^LIBDIR=.*#LIBDIR=/usr/lib/ispell#" $RPM_BUILD_ROOT%{_bindir}/munchlist

# info pages missing from 3.2.06 sources -- pablo
#
#mv $RPM_BUILD_ROOT%_infodir/ispell $RPM_BUILD_ROOT%_infodir/ispell.info

bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_bindir}/spell

# Remove unpackaged files which turn out to be (or should be) in ispell-de
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/ispell/{deutsch*.{aff,hash},german*}

# we don't build ispell-en anymore (replaced with aspell-en)
# so we remove its files
rm -f $RPM_BUILD_ROOT%{_mandir}/man4/english.4*
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/ispell/*.hash
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/ispell/*.aff

%clean
rm -fr $RPM_BUILD_ROOT

# info pages missing from 3.2.06 sources -- pablo
#
#%post
#%_install_info %name.info
#
#%postun
#%_remove_install_info %name.info

%files
%defattr(-,root,root)
%doc README
%attr(755,root,root) %_bindir/*
%_mandir/man1/ispell.1*
%_mandir/man4/ispell.4*
# info pages missing from 3.2.06 sources -- pablo
#%_infodir/ispell.info*
#%_libdir/emacs/site-lisp/ispell.el
%_mandir/man1/buildhash.1*
%_mandir/man1/munchlist.1*
%_mandir/man1/findaffix.1*
%_mandir/man1/tryaffix.1*
%_mandir/man1/sq.1*
%_mandir/man1/unsq.1*
%dir %_prefix/lib/ispell

# We don't build ispell-en anymore; replaced with aspell-en
#%files en
#%defattr(-,root,root)
#%_mandir/man4/english.4*
#%_prefix/lib/ispell/american.hash
#%_prefix/lib/ispell/americanmed+.hash
#%_prefix/lib/ispell/americanxlg.hash
#%_prefix/lib/ispell/english.aff
#%_prefix/lib/ispell/english.hash
#%_prefix/lib/ispell/british.hash
#%_prefix/lib/ispell/britishmed+.hash
#%_prefix/lib/ispell/britishxlg.hash



%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.2.06-14mdv2009.0
+ Revision: 247304
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.2.06-12mdv2008.1
+ Revision: 132142
- s/BuildPrereq/BuildRequires/ (look suspiciously like a Requires instead)
- fix prereq
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import ispell


* Mon Feb 14 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 3.2.06-12mdk
- fixed LIBDIR in munchlist script

* Tue Jul 27 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 3.2.06-11mdk
- no more ispell-* dictionnaries packaged (replaced with aspell)
- removed dependence on ispell-dictionnary
- now "ispell" is kept only for convenience in cas some users have
  home made dictionnaries using ispell; for standard dictionnaries we
  now use aspell.

* Wed Jan 14 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 3.2.06-10mdk
- fix typo in ispell-en description (#6023)

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 3.2.06-9mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- drop unapplied patches (P7, P10, P13, P14 & P18)
- bzip2 P20 & P21

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.2.06-8mdk
- Remove Patch9 (string-includes) obsoleted by Patch22 (includes)

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.2.06-7mdk
- Patch22: Add missing includes
- Patch23: Create directories with mkdir -p
- Ispell data will remain in /usr/lib/ispell for now
- Ship with americanxlg.hash, nuke German files from separate package

* Thu Sep 19 2002 Pablo Saratxage <pablo@mandrakesoft.com> 3.2.06-6mdk
- changed Requires: ispell into PreReq

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.06-5mdk
- Fix release (yes 4mdk is non-existent because of a mistake).

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.06-3mdk
- Patch 4 for the alpha is obsolete.

* Fri May 31 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 3.2.06-2mdk
- based it to real 3.2.06 sources
- added patch needed for Norwegian ispell

* Wed Apr 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.06-1mdk
- new release
- fix obsoloted-but-not-provided errors
- a few changes for --short-circuit awarness
- regenerate SOURCE3 so that s!tar xjf %%SOURCE3 -C ./languages/deutsch/!-a3
- regenerate all patches
- fix implicit declarations of strings.h [Patch9]
- fix info file for gnome browser help [Patch10]
- add man pages: buildhash.1, findaffix.1, icombine.1, ijoin.1, munchlist.1,
                 tryaffix.1, unsq
- fix directory hierarchy in man: sq.1, ispell.1X [Patch11]
- fixed munchspell, findaffix, subset, tryaffix and zapdups which
  started with ': Use /bin/sh' rather than '#! bin/sh' [Patch12]
- fix insecure use of gets in sq.c and unsq.c [Patch13]
- fix segfaults and extra-CR bugs in unsq and sq [Patch14]:
   - unsq often segfaults, because wordp[256] is set to '\0' instead of
     word[256].
   - sq and unsq are changed from gets(3) to fgets(3), but this misses
     the fact, that gets removes the trailing linefeed while fgets
     doesn't.  Changing puts(3) to fputs(3) seems to solve this problem
- fix missing functions prototypes [Patch15]
- fix upstream location in README [Patch16]
- increase the maximum temporary backup file name length and maximum pathname
  length (to 1024 and 4096, respectively), to allow ispell to behave correctly
  with long names [Patch17]
- adds HTML support (handle Javascript, HTML-comments, and ampersand encoded
  entities) [Patch18]
- don't allow -b and -x at the same time [Patch19]

* Wed Oct 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.1.20-17mdk
- BuildRequires:	byacc ncurses-devel
- Replace RPM SOURCE DIR with %%SOURCE3 (make rpmlint happy)

* Thu Jun 28 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 3.1.20-16mdk
- Fix string includes for ia64

* Fri Dec 22 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.20-15mdk
- Fix Requires

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1.20-14mdk
- Dont include broken string.h.

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 3.1.20-13mdk
- Modify texinfo file for correct installation
- Generate info file instead of using a pre-generated one
- Modify BuildRequires since words package installed must be BM..

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.20-12mdk
- Allow to build
- Macros, BM, Linux-Mandrake's specs compliant, etc.

* Thu Jun 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-11mdk
- splitted ispell-de to its own package

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.1.20-10mdk
- rebuild for new Group: names
- changed the spec file a bit to leave compression of man pages to spec-helper

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary for ispell-{en,de}
- added Requires: ispell-dictionary to ispell package, so it requires
  at least one dictionary package to be installed

* Tue Dec 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- added british files to ispell-en

* Tue Oct 26 1999 Pawel Jablonski <pj@linux-mandrake.com>
- separate dictionaries ispell-en and ispell-de

* Sun Oct 3 1999 Pawe³ Jab³oñski <pj@linux-mandrake.com>
- increase MASKBITS from 32 to 64 - like in Debian (needed by ispell-pl)

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- add a buildroot

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- strcmp may have different forms on different systems;
  do not declare it explicitly, just include <string.h>
- use /var/tmp instead of /usr/tmp

* Sun Nov 8 1998 Patricia Jung <trish@freiburg.linux.de>
- Added German dictionary

* Mon Sep 28 1998 Jeff Johnson <jbj@redhat.com>
- eliminate /usr/lib/emacs/site-lisp/ispell.el -- use emacs-20.3 version.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- use posix termios (problem #558)
- add build root.

* Sat Jun 27 1998 Trent Jarvi <jarvi@ezlink.com>
- alphahack patch no longer required. struct winsize now in <ioctl-types.h>.
- change MASKWIDTH apropriately on alpha

* Sat May 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 09 1998 Erik Troan <ewt@redhat.com>
- have two Source1 lines isn't terribly brilliant

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- patch to avoid remaking ispell.info

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added a spell program.
- Configured for 8-bit use.
